#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

# To update this package: update the spec to the new version and then
# rm -f SOURCES/*.xpi; echo -n "" > SOURCES/sha1.lst; mgarepo sync -d

%define oname firefox
%define firefox_appid \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define firefox_extdir %{_datadir}/mozilla/extensions/%{firefox_appid}

# *** make sure to re-add esr below when switching back to ESR branch ***
%define xpidir https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}esr/linux-i686/xpi/
#define xpidir https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/

# Supported l10n language lists
#define langlist af an ar as ast az bg bn_IN bn_BD br bs ca cs cy da de el en_GB en_US en_ZA eo es_AR es_CL es_ES es_MX et eu fa ff fi fr fy_NL ga_IE gd gl gu_IN he hi_IN hr hsb hu hy_AM id is it ja kk km kn ko lij lt lv mai mk ml mr ms nb_NO nl nn_NO or pa_IN pl pt_BR pt_PT ro ru si sk sl sq sr sv_SE ta te th tr uk uz vi xh zh_CN zh_TW
%define langlist af an ar ast az be bg bn br bs ca cs cy da de el en_CA en_GB en_US eo es_AR es_CL es_ES es_MX et eu fa ff fi fr fy_NL ga_IE gd gl gu_IN he hi_IN hr hsb hu hy_AM ia id is it ja ka kab kk km kn ko lij lt lv mk mr ms my nb_NO nl nn_NO oc pa_IN pl pt_BR pt_PT ro ru si sk sl sq sr sv_SE szl ta te th tl tr uk ur uz vi xh zh_CN zh_TW

# Disabled l10n languages, for any reason
# - no locales-XX package (or virtual provides):
# ach ak ca-valencia cak dsb gn ne_NP rm sco son trs uu

# Disabled hunspell dicts, for any reason
%define disabled_dict_langlist an bs ff fi ja ka kab lij lg my szl ta_LK tr zh_CN zh_TW

# Language descriptions
%define language_af af
%define langname_af Afrikaans
%define language_ak ak
%define langname_ak Akan
%define language_an an
%define langname_an Aragonese
%define language_ar ar
%define langname_ar Arabic
#define language_as as
#define langname_as Assamese
%define language_ast ast
%define langname_ast Asturian
%define language_az az
%define langname_az Azeri
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_bn bn
%define langname_bn Bengali
#define language_bn_BD bn-BD
#define langname_bn_BD Bengali
#define language_bn_IN bn-IN
#define langname_bn_IN Bengali
%define language_br br
%define langname_br Breton
%define language_bs bs
%define langname_bs Bosnian
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_csb csb
%define langname_csb Kashubian
%define language_cy cy
%define langname_cy Welsh
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_CA en-CA
%define langname_en_CA Canadian English
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_en_US en-US
%define langname_en_US English (United States)
#define language_en_ZA en-ZA
#define langname_en_ZA English (South Africa)
%define language_eo eo
%define langname_eo Esperanto
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_CL es-CL
%define langname_es_CL Spanish (Chile)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_es_MX es-MX
%define langname_es_MX Spanish (Mexico)
%define language_et et
%define langname_et Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fa fa
%define langname_fa Farsi
%define language_ff ff
%define langname_ff Fulah
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_fy_NL fy-NL
%define langname_fy_NL Frisian
%define language_ga_IE ga-IE
%define langname_ga_IE Irish
%define language_gd gd
%define langname_gd Scottish Gaelic
%define language_gl gl
%define langname_gl Galician
%define language_gu_IN gu-IN
%define langname_gu_IN Gujarati
%define language_he he
%define langname_he Hebrew
%define language_hi_IN hi-IN
%define langname_hi_IN Hindi
%define language_hr hr
%define langname_hr Croatian
%define language_hsb hsb
%define langname_hsb Upper Sorbian
%define language_hu hu
%define langname_hu Hungarian
%define language_hy_AM hy-AM
%define langname_hy_AM Armenian
%define language_ia ia
%define langname_ia Interlingua
%define language_id id
%define langname_id Indonesian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_ka ka
%define langname_ka Georgian
%define language_kab kab
%define langname_kab Kabyle
%define language_kk kk
%define langname_kk Kazakh
%define language_ko ko
%define langname_ko Korean
%define language_km km
%define langname_km Khmer
%define language_kn kn
%define langname_kn Kannada
%define language_ku ku
%define langname_ku Kurdish
%define language_lg lg
%define langname_lg Ganda
%define language_lij lij
%define langname_lij Ligurian
%define language_lt lt
%define langname_lt Lithuanian
%define language_lv lv
%define langname_lv Latvian
#define language_mai mai
#define langname_mai Maithili
%define language_mk mk
%define langname_mk Macedonian
#define language_ml ml
#define langname_ml Malayalam
%define language_mr mr
%define langname_mr Marathi
%define language_ms ms
%define langname_ms Malay
%define language_my my
%define langname_my Burmese
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_nl nl
%define langname_nl Dutch
%define language_nso nso
%define langname_nso Northern Sotho
%define language_oc oc
%define langname_oc Occitan
#define language_or or
#define langname_or Oriya
%define language_pa_IN pa-IN
%define langname_pa_IN Punjabi (gurmukhi)
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_rm rm
%define langname_rm Rumantsch
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_si si
%define langname_si Sinhala
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_son son
%define langname_son Soŋay
%define language_sq sq
%define langname_sq Shqipe
%define language_sr sr
%define langname_sr Serbian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_szl szl
%define langname_szl Silesian
%define language_ta ta
%define langname_ta Tamil
%define language_ta_LK ta-LK
%define langname_ta_LK Tamil (Sri Lanka)
%define language_te te
%define langname_te Telugu
%define language_th th
%define langname_th Thai
%define language_tl tl
%define langname_tl Pilipino
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_uk_UA uk-UA
%define langname_uk_UA Ukrainian
%define language_ur ur
%define langname_ur Urdu
%define language_uz uz
%define langname_uz Uzbek
%define language_vi vi
%define langname_vi Vietnamese
%define language_xh xh
%define langname_xh Xhosa
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese
%define language_zu zu
%define langname_zu Zulu

# --- Danger line ---

# Defaults (all languages enabled by default)
# dicts
%{expand:%(for lang in %{langlist}; do echo "%%global with_dict_$lang 1"; done)}
%{expand:%(for lang in %{disabled_dict_langlist}; do echo "%%global with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %{langlist}; do echo "%%global locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

%global release_hash  2f6a4d2cf42c9d59626061d45c043817cb220814
%global tarballdir    mozilla-release-%{release_hash}

Summary:	Localizations for Firefox (virtual package)
Name:		%{oname}-l10n
Version:	102.4.0
Release:	%mkrel 1
License:	GPL
Group:		Networking/WWW
Url:		https://www.mozilla.org/firefox/organizations/
# Language package template
Source0:	%{name}-template.in
# l10n sources
%{expand:%(\
	i=1; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/%%{language_$lang}.xpi}";\
		i=$[i+1];\
	done\
	)
}
BuildArch:	noarch

%description
Localizations for Firefox web browser.


# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %{langlist}; do echo "language_$lang=%%{language_$lang}"; done)}

mkdir -p %{buildroot}%{firefox_extdir}/

# Install all languages
for lang in %{langlist}; do
	language="language_$lang"
	language=${!language}

	# l10n
	cp %{_sourcedir}/${language}.xpi  %{buildroot}%{firefox_extdir}/langpack-${language}@firefox.mozilla.org.xpi

done


%changelog
* Mon Oct 17 2022 luigiwalser <luigiwalser> 102.4.0-1.mga8
+ Revision: 1897285
- 102.4.0
- 102.3.0
- 91.13.0
- 91.12.0
- 91.11.0
- 91.10.0
- 91.9.1
- 91.9.0
- 91.8.0
- 91.7.0
- 91.6.1
- 91.6.0
- 91.5.0
- 91.4.0
- 91.3.0
- 91.2.0
- 91.1.0
- fix extensions directory
- 91.0.1
- 91 ESR
- add new language szl (Silesian)
- 78.13.0
- 78.12.0
- 78.11.0
- 78.8.0
+ ns80 <ns80>
- new version 102.2.0
- new version 78.9.0 (mga#28641)
+ neoclust <neoclust>
- New version 78.10.0 (mga#28822)

* Mon Jan 25 2021 luigiwalser <luigiwalser> 78.7.0-1.mga8
+ Revision: 1673316
- 78.7.0

* Thu Jan 07 2021 luigiwalser <luigiwalser> 78.6.1-1.mga8
+ Revision: 1669347
- 78.6.1

* Mon Dec 14 2020 luigiwalser <luigiwalser> 78.6.0-1.mga8
+ Revision: 1657442
- 78.6.0

* Mon Nov 16 2020 luigiwalser <luigiwalser> 78.5.0-1.mga8
+ Revision: 1646727
- 78.5.0

* Tue Nov 10 2020 ns80 <ns80> 78.4.1-1.mga8
+ Revision: 1644218
- new version 78.4.1 for CVE-2020-26950 (mga#27589)

* Wed Oct 21 2020 luigiwalser <luigiwalser> 78.4.0-1.mga8
+ Revision: 1637851
- 78.4.0

* Wed Oct 14 2020 ns80 <ns80> 78.3.1-1.mga8
+ Revision: 1636057
- new version 78.3.1

* Mon Sep 21 2020 luigiwalser <luigiwalser> 78.3.0-1.mga8
+ Revision: 1629371
- 78.3.0

* Mon Aug 24 2020 luigiwalser <luigiwalser> 78.2.0-1.mga8
+ Revision: 1618782
- 78.2.0

* Tue Jul 28 2020 luigiwalser <luigiwalser> 78.1.0-1.mga8
+ Revision: 1609432
- 78.1.0

* Fri Jul 10 2020 luigiwalser <luigiwalser> 78.0.2-1.mga8
+ Revision: 1604293
- 78.0.2

* Thu Jul 02 2020 luigiwalser <luigiwalser> 78.0.1-1.mga8
+ Revision: 1601328
- 78.0.1
- add missing languages:
    - be (Belarusian)
    - en_CA (Canadian English)
    - ia (Interlingua)
    - ka (Georgian)
    - kab (Kabyle)
    - my (Burmese)
    - oc (Occitan)
    - ur (Urdu)
- 78 ESR
- add new language tl (Pilipino)

* Mon Jun 01 2020 luigiwalser <luigiwalser> 68.9.0-1.mga8
+ Revision: 1589491
- 68.9.0

* Mon May 04 2020 luigiwalser <luigiwalser> 68.8.0-1.mga8
+ Revision: 1580141
- 68.8.0

* Mon Apr 06 2020 luigiwalser <luigiwalser> 68.7.0-1.mga8
+ Revision: 1565155
- 68.7.0

* Sat Apr 04 2020 luigiwalser <luigiwalser> 68.6.1-1.mga8
+ Revision: 1564233
- 68.6.1
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 10 2020 luigiwalser <luigiwalser> 68.6.0-1.mga8
+ Revision: 1555298
- 68.6.0

* Wed Feb 19 2020 umeabot <umeabot> 68.5.0-2.mga8
+ Revision: 1543951
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 luigiwalser <luigiwalser> 68.5.0-1.mga8
+ Revision: 1488842
- 68.5.0

* Thu Jan 23 2020 ns80 <ns80> 68.4.2-1.mga8
+ Revision: 1482503
- new version 68.4.2

* Fri Jan 10 2020 ns80 <ns80> 68.4.1-1.mga8
+ Revision: 1477485
- new version 68.4.1

* Tue Dec 03 2019 ns80 <ns80> 68.3.0-1.mga8
+ Revision: 1464144
- 68.3.0

* Tue Oct 22 2019 ns80 <ns80> 68.2.0-1.mga8
+ Revision: 1455171
- new version 68.2.0 ESR

* Thu Oct 03 2019 ns80 <ns80> 68.1.0-2.mga8
+ Revision: 1449067
- fix mga#25511

* Wed Sep 04 2019 luigiwalser <luigiwalser> 68.1.0-1.mga8
+ Revision: 1436919
- 68.1.0

* Thu Jul 11 2019 ns80 <ns80> 68.0-1.mga8
+ Revision: 1420294
- new version 68.0

* Fri Jun 21 2019 ns80 <ns80> 67.0.4-1.mga7
+ Revision: 1400436
- new version 67.0.4 (mga#24983)

* Wed Jun 19 2019 ns80 <ns80> 67.0.3-1.mga7
+ Revision: 1400324
- new version 67.0.3 (mga#24976)

* Wed Jun 12 2019 ns80 <ns80> 67.0.2-1.mga7
+ Revision: 1399885
- new version 67.0.2

* Fri May 24 2019 ns80 <ns80> 67.0-1.mga7
+ Revision: 1399033
- new version 67.0

* Thu May 09 2019 tmb <tmb> 66.0.5-1.mga7
+ Revision: 1396913
- update to 66.0.5

* Tue May 07 2019 tv <tv> 66.0.4-1.mga7
+ Revision: 1396603
- bump version (XPIs are the same as in 66.0.3)

* Tue Apr 23 2019 tv <tv> 66.0.3-1.mga7
+ Revision: 1395006
- new release

* Tue Mar 26 2019 tv <tv> 66.0.1-1.mga7
+ Revision: 1380330
- 66.0.1

* Mon Dec 10 2018 tv <tv> 64.0-1.mga7
+ Revision: 1339634
- new release

* Mon Nov 26 2018 tv <tv> 63.0.3-1.mga7
+ Revision: 1334876
- new release

* Tue Nov 06 2018 tv <tv> 63.0.1-1.mga7
+ Revision: 1328640
- new release

* Sun Oct 21 2018 tv <tv> 63.0-1.mga7
+ Revision: 1323162
- new release

* Sat Oct 13 2018 tmb <tmb> 62.0.3-2.mga7
+ Revision: 1320083
- re-sync translations

* Tue Oct 02 2018 tv <tv> 62.0.3-1.mga7
+ Revision: 1315955
- 62.0.3 build1

* Thu Sep 20 2018 umeabot <umeabot> 62.0-3.mga7
+ Revision: 1278237
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 tv <tv> 62.0-2.mga7
+ Revision: 1255903
- 62.0-candidates/build2

* Thu Aug 30 2018 tv <tv> 62.0-1.mga7
+ Revision: 1255718
- 62.0-candidates/build1

* Wed Jul 04 2018 colin <colin> 61.0-2.mga7
+ Revision: 1241569
- Update the extensions to 61.0 (missed in last update)

* Fri Jun 22 2018 tv <tv> 61.0-1.mga7
+ Revision: 1238861
- new release

* Thu May 24 2018 tv <tv> 60.0.1-1.mga7
+ Revision: 1231988
- new release

* Thu May 10 2018 tv <tv> 60.0-1.mga7
+ Revision: 1228064
- new release

* Thu Mar 29 2018 tv <tv> 59.0.2-1.mga7
+ Revision: 1213375
- new release

* Mon Mar 19 2018 tv <tv> 59.0.1-1.mga7
+ Revision: 1210473
- new release

* Tue Mar 13 2018 tv <tv> 59.0-3.mga7
+ Revision: 1208874
- reenable en_US

* Tue Mar 13 2018 tmb <tmb> 59.0-2.mga7
+ Revision: 1208861
- use translation xpis from real upstream

* Sun Mar 11 2018 tv <tv> 59.0-1.mga7
+ Revision: 1208236
- new release (xpi retrieved from FC using fedpkg)
  (need to disable en_US)

* Tue Feb 13 2018 ovitters <ovitters> 58.0.2-1.mga7
+ Revision: 1200849
- new version 58.0.2

* Thu Feb 01 2018 ns80 <ns80> 58.0.1-1.mga7
+ Revision: 1198401
- sync with firefox

* Thu Jan 25 2018 ns80 <ns80> 58.0-1.mga7
+ Revision: 1196915
- sync with firefox

* Fri Jan 05 2018 tv <tv> 57.0.4-1.mga7
+ Revision: 1190547
- new release

* Fri Dec 08 2017 ns80 <ns80> 57.0.2-1.mga7
+ Revision: 1181658
- new version 57.0.2 that fixes CVE-2017-7845

* Fri Dec 01 2017 ns80 <ns80> 57.0.1-1.mga7
+ Revision: 1180590
- sync with firefox

* Fri Sep 29 2017 luigiwalser <luigiwalser> 52.4.0-1.mga7
+ Revision: 1161800
- 52.4.0

* Tue Aug 08 2017 luigiwalser <luigiwalser> 52.3.0-1.mga7
+ Revision: 1138882
- 52.3.0

* Wed Jun 14 2017 luigiwalser <luigiwalser> 52.2.0-1.mga6
+ Revision: 1107628
- 52.2.0

* Sat May 20 2017 luigiwalser <luigiwalser> 52.1.2-1.mga6
+ Revision: 1103661
- 52.1.2

* Wed Apr 19 2017 luigiwalser <luigiwalser> 52.1.0-1.mga6
+ Revision: 1096748
- 52.1.0

* Wed Mar 29 2017 mrambo3501 <mrambo3501> 52.0.2-1.mga6
+ Revision: 1095193
- add update hints to spec
+ luigiwalser <luigiwalser>
- 52.0.2

* Mon Mar 27 2017 mrambo3501 <mrambo3501> 52.0.1-2.mga6
+ Revision: 1094977
- rebuild for firefox

* Sat Mar 25 2017 luigiwalser <luigiwalser> 52.0.1-1.mga6
+ Revision: 1094822
- 52.0.1
- be langpack is no longer available

* Fri Mar 24 2017 mrambo3501 <mrambo3501> 52.0-1.mga6
+ Revision: 1094721
- Update to version 52esr

* Wed Mar 08 2017 luigiwalser <luigiwalser> 45.8.0-1.mga6
+ Revision: 1089819
- 45.8.0

* Tue Jan 24 2017 luigiwalser <luigiwalser> 45.7.0-1.mga6
+ Revision: 1083268
- 45.7.0

* Wed Dec 14 2016 luigiwalser <luigiwalser> 45.6.0-1.mga6
+ Revision: 1075110
- 45.6.0

* Thu Dec 01 2016 luigiwalser <luigiwalser> 45.5.1-1.mga6
+ Revision: 1071440
- 45.5.1

* Tue Nov 15 2016 luigiwalser <luigiwalser> 45.5.0-1.mga6
+ Revision: 1067454
- 45.5.0

* Tue Sep 20 2016 luigiwalser <luigiwalser> 45.4.0-1.mga6
+ Revision: 1054698
- 45.4.0

* Fri Aug 05 2016 luigiwalser <luigiwalser> 45.3.0-1.mga6
+ Revision: 1044669
- 45.3.0

* Tue Jun 07 2016 luigiwalser <luigiwalser> 45.2.0-1.mga6
+ Revision: 1020585
- 45.2.0

* Wed Jun 01 2016 tmb <tmb> 45.1.1-1.mga6
+ Revision: 1019734
- update to 45.1.1esr

* Wed Apr 27 2016 luigiwalser <luigiwalser> 45.1.0-1.mga6
+ Revision: 1006816
- 45.1.0

* Mon Apr 18 2016 tv <tv> 45.0.2-1.mga6
+ Revision: 1003517
- new release

* Wed Mar 16 2016 tv <tv> 45.0.1-1.mga6
+ Revision: 992069
- fix version :-(

* Wed Mar 16 2016 tv <tv> 45.0.1esr-1.mga6
+ Revision: 992041
- 45.0.1esr

* Thu Mar 03 2016 tv <tv> 45.0-1.mga6
+ Revision: 984377
- new release

* Thu Feb 11 2016 tv <tv> 44.0.2-1.mga6
+ Revision: 953598
- 44.0.2

* Sat Feb 06 2016 tv <tv> 44.0.1-1.mga6
+ Revision: 942165
- 44.0.1

* Sat Jan 23 2016 tv <tv> 44.0-1.mga6
+ Revision: 926651
- new release

* Sun Jan 17 2016 tv <tv> 43.0.4-1.mga6
+ Revision: 924819
- new release

* Tue Dec 29 2015 tv <tv> 43.0.3-1.mga6
+ Revision: 916840
- new release

* Sat Dec 26 2015 tv <tv> 43.0.2-2.mga6
+ Revision: 915099
- new release
- new release
- new release

* Sat Dec 26 2015 tv <tv> 43.0.2-1.mga6
+ Revision: 915095
- new release

* Sat Dec 19 2015 tv <tv> 43.0.1-1.mga6
+ Revision: 912120
- new release

* Tue Dec 15 2015 tv <tv> 43.0-1.mga6
+ Revision: 910743
- new release

* Sun Nov 01 2015 tv <tv> 42.0-1.mga6
+ Revision: 897199
- new release

* Thu Sep 24 2015 fwang <fwang> 41.0-1.mga6
+ Revision: 882545
- 41.0

* Fri Aug 28 2015 fwang <fwang> 40.0.3-1.mga6
+ Revision: 870676
- 40.0.3

* Mon Aug 17 2015 fwang <fwang> 40.0-1.mga6
+ Revision: 865230
- 40.0
+ luigiwalser <luigiwalser>
- 39.0.3
- fix typo mixup with an and ar languages and re-add an

* Sun Jul 26 2015 tv <tv> 39.0-1.mga6
+ Revision: 858094
- drop an language
- 39.0
+ luigiwalser <luigiwalser>
- enable an, nb_NO, nn_NO languages (corresponding locales are virtual provides)

* Sat Jul 04 2015 luigiwalser <luigiwalser> 38.1.0-1.mga6
+ Revision: 849850
- 38.1.0

* Fri Jun 26 2015 luigiwalser <luigiwalser> 38.0.1-1.mga6
+ Revision: 844594
- 38.0.1esr
- update language list for 38esr

* Wed May 13 2015 luigiwalser <luigiwalser> 31.7.0-1.mga5
+ Revision: 821976
- 31.7.0

* Wed Apr 01 2015 luigiwalser <luigiwalser> 31.6.0-1.mga5
+ Revision: 819507
- 31.6.0

* Mon Mar 23 2015 luigiwalser <luigiwalser> 31.5.3-1.mga5
+ Revision: 819115
- 31.5.3

* Tue Feb 24 2015 luigiwalser <luigiwalser> 31.5.0-1.mga5
+ Revision: 816826
- 31.5.0

* Tue Jan 13 2015 luigiwalser <luigiwalser> 31.4.0-1.mga5
+ Revision: 810407
- 31.4.0

* Tue Dec 02 2014 luigiwalser <luigiwalser> 31.3.0-1.mga5
+ Revision: 800266
- 31.3.0

* Thu Oct 23 2014 luigiwalser <luigiwalser> 31.2.0-2.mga5
+ Revision: 792727
- rebuild for release

* Wed Oct 15 2014 fwang <fwang> 31.2.0-1.mga5
+ Revision: 747127
- 31.2.0esr
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 doktor5000 <doktor5000> 31.1.1-1.mga5
+ Revision: 724691
- updated to 31.1.1esr

* Tue Sep 16 2014 umeabot <umeabot> 31.1.0-2.mga5
+ Revision: 679210
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 fwang <fwang> 31.1.0-1.mga5
+ Revision: 672303
- 31.1.0

* Sun Aug 24 2014 doktor5000 <doktor5000> 31.0-3.mga5
+ Revision: 667189
- try to fix mga#1344 (automatic installation of proper -l10n package)
  o firefox-l10n-XX package should be installed according to installed locales-XX package

* Thu Jul 24 2014 fwang <fwang> 31.0-2.mga5
+ Revision: 656268
- fix lang def

* Tue Jul 22 2014 tv <tv> 31.0-1.mga5
+ Revision: 655534
- fix locale requires
- fix build
+ fwang <fwang>
- 31.0

* Tue Jun 10 2014 fwang <fwang> 30.0-1.mga5
+ Revision: 635341
- 30.0

* Sun May 11 2014 tv <tv> 29.0.1-1.mga5
+ Revision: 621868
- new release

* Tue Apr 29 2014 fwang <fwang> 29.0-1.mga5
+ Revision: 618808
- 29.0

* Tue Mar 18 2014 tv <tv> 28.0-1.mga5
+ Revision: 604802
- new release

* Fri Feb 14 2014 fwang <fwang> 27.0.1-1.mga5
+ Revision: 591044
- 27.0.1

* Sun Feb 09 2014 tv <tv> 27.0-1.mga5
+ Revision: 587193
- remove non existing locales
- new release

* Wed Feb 05 2014 fwang <fwang> 24.3.0-1.mga5
+ Revision: 583102
- new version 24.3.0

* Wed Dec 18 2013 oden <oden> 24.2.0-1.mga4
+ Revision: 558407
- 24.2.0

* Fri Nov 15 2013 fwang <fwang> 24.1.1-1.mga4
+ Revision: 551372
- new version 24.1.1esr

* Thu Oct 31 2013 tmb <tmb> 24.1.0-1.mga4
+ Revision: 548640
- update to 24.1.0

* Sat Oct 19 2013 umeabot <umeabot> 24.0-3.mga4
+ Revision: 535046
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 fwang <fwang> 24.0-2.mga4
+ Revision: 480733
- disable certain dicts

* Tue Sep 17 2013 fwang <fwang> 24.0-1.mga4
+ Revision: 480708
- new versino 24.0esr

* Sat Aug 17 2013 fwang <fwang> 23.0.1-1.mga4
+ Revision: 467057
- new version 23.0.1

* Tue Aug 06 2013 fwang <fwang> 23.0-1.mga4
+ Revision: 464112
- new version 23.0

* Tue Jun 25 2013 tv <tv> 22.0-1.mga4
+ Revision: 446460
- new release

* Fri Jun 21 2013 fwang <fwang> 21.0-2.mga4
+ Revision: 445369
- add more locale

* Fri Jun 21 2013 fwang <fwang> 21.0-1.mga4
+ Revision: 445364
- new version 21.0

* Sat May 11 2013 fwang <fwang> 17.0.6-1.mga4
+ Revision: 412984
- new version 17.0.6esr

* Tue Apr 02 2013 fwang <fwang> 17.0.5-1.mga3
+ Revision: 407106
- new version 17.0.5esr

* Sat Mar 09 2013 fwang <fwang> 17.0.4-1.mga3
+ Revision: 402002
- new version 17.0.4esr

* Sat Feb 16 2013 fwang <fwang> 17.0.3-1.mga3
+ Revision: 398687
- new version 17.0.3

* Fri Jan 11 2013 umeabot <umeabot> 17.0.2-2.mga3
+ Revision: 350433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 17.0.2-1.mga3
+ Revision: 342341
- new version 17.0.2esr

* Sat Dec 01 2012 fwang <fwang> 17.0.1-1.mga3
+ Revision: 323620
- new version 17.0.1

* Wed Nov 21 2012 fwang <fwang> 17.0-1.mga3
+ Revision: 319951
- new version 17.0esr

* Sat Oct 27 2012 fwang <fwang> 16.0.2-1.mga3
+ Revision: 310728
- new version 16.0.2

* Fri Oct 12 2012 fwang <fwang> 16.0.1-1.mga3
+ Revision: 304778
- new version 16.0.1

* Tue Oct 09 2012 fwang <fwang> 16.0-1.mga3
+ Revision: 303854
- new version 16.0

* Sat Sep 08 2012 fwang <fwang> 15.0.1-1.mga3
+ Revision: 289818
- new version 15.0.1

* Tue Aug 28 2012 fwang <fwang> 15.0-1.mga3
+ Revision: 284641
- new version 15.0

* Tue Jul 31 2012 fwang <fwang> 14.0.1-1.mga3
+ Revision: 276721
- new version 14.0.1

* Sat Jun 16 2012 fwang <fwang> 13.0.1-1.mga3
+ Revision: 260903
- new version 13.0.1

* Sat Jun 02 2012 fwang <fwang> 13.0-1.mga3
+ Revision: 253371
- 13.0 final

* Sat Jun 02 2012 dmorgan <dmorgan> 13.0-0.b7.1.mga3
+ Revision: 253204
- New version 13.0b7

* Sun Apr 22 2012 fwang <fwang> 10.0.4-1.mga2
+ Revision: 232484
- new version 10.0.4esr

* Tue Apr 17 2012 kamil <kamil> 10.0.3-2.mga2
+ Revision: 231157
- prepare package against hunspell dictionaries
- clean package

* Wed Mar 14 2012 fwang <fwang> 10.0.3-1.mga2
+ Revision: 223325
- new version 10.0.3esr

* Mon Feb 27 2012 pterjan <pterjan> 10.0.2-2.mga2
+ Revision: 215441
- Simplify template
+ fwang <fwang>
- obsoletes beta branch, make it same with main pkg

* Fri Feb 17 2012 fwang <fwang> 10.0.2-1.mga2
+ Revision: 210053
- new version 10.0.2esr

* Fri Feb 10 2012 fwang <fwang> 10.0.1-1.mga2
+ Revision: 206844
- new version 10.0.1esr

* Tue Jan 31 2012 fwang <fwang> 10.0-1.mga2
+ Revision: 203619
- new version 10.0

* Thu Dec 22 2011 fwang <fwang> 9.0.1-2.mga2
+ Revision: 185725
- upload real tarball

* Thu Dec 22 2011 dmorgan <dmorgan> 9.0.1-1.mga2
+ Revision: 185717
- New version 9.0.1

* Tue Dec 20 2011 dmorgan <dmorgan> 9.0-1.mga2
+ Revision: 184847
- New version 9.0

* Wed Nov 16 2011 fwang <fwang> 8.0.1-1.mga2
+ Revision: 168134
- new version 8.0.1

* Sun Nov 06 2011 fwang <fwang> 8.0-1.mga2
+ Revision: 164133
- new version 8.0

* Fri Sep 30 2011 fwang <fwang> 7.0.1-1.mga2
+ Revision: 150411
- new version 7.0.1

* Tue Sep 27 2011 fwang <fwang> 7.0-1.mga2
+ Revision: 149209
- new version 7.0

* Sun Sep 04 2011 fwang <fwang> 6.0.2-1.mga2
+ Revision: 138411
- new version 6.0.2

* Wed Aug 31 2011 fwang <fwang> 6.0.1-1.mga2
+ Revision: 136966
- new version 6.0.1
- rebuild for higher release tag than stable 1
- fix langname
- new version 6.0

* Tue Jul 12 2011 fwang <fwang> 5.0.1-1.mga2
+ Revision: 123010
- new version 5.0.1

* Tue Jun 21 2011 gil <gil> 5.0-0.mga2
+ Revision: 111102
- update to 5.0

* Sat Apr 30 2011 tv <tv> 4.0.1-1.mga1
+ Revision: 93616
- fix Farsi language code
- new release

* Tue Mar 22 2011 ahmad <ahmad> 4.0-1.mga1
+ Revision: 75380
- update to firefox-4.0
- adjust the langlist

* Sun Mar 20 2011 dmorgan <dmorgan> 4.0-0.rc2.1.mga1
+ Revision: 74853
- Add back file remove by error
- Update to Rc2
- Add sha1.lst

* Thu Mar 10 2011 tv <tv> 4.0-0.rc1.4.mga1
+ Revision: 68040
- real RC1

* Thu Mar 10 2011 tv <tv> 4.0-0.rc1.3.mga1
+ Revision: 67853
- new release

* Tue Mar 01 2011 ahmad <ahmad> 4.0-0.b12.3.mga1
+ Revision: 62304
+ rebuild (emptylog)

* Sat Feb 26 2011 tv <tv> 4.0-0.b12.2.mga1
+ Revision: 60497
- new release

* Thu Feb 24 2011 ahmad <ahmad> 4.0-0.b11.2.mga1
+ Revision: 59006
- disable ak rm son language packs, we don't have those locales-*

* Tue Feb 22 2011 ahmad <ahmad> 4.0-0.b11.1.mga1
+ Revision: 55874
- update to 4.0b11
- add new lang packs
+ dmorgan <dmorgan>
- Rebuild against new firefox

* Tue Feb 01 2011 tv <tv> 4.0-0.b10.3.mga1
+ Revision: 45607
- simplify
- imported package firefox-l10n


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 4.0-0.b10.3mdv2011.0
+ Revision: 633828
- update file list
- correct file name
- update url

* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 4.0-0.b10.2
+ Revision: 633704
- add more locales
- there is not need to expand source for ff 4.0

* Thu Jan 27 2011 Funda Wang <fwang@mandriva.org> 4.0-0.b10.1
+ Revision: 633162
- 4.0 b10
- restruct to new ff ext layout

* Tue Jan 18 2011 Funda Wang <fwang@mandriva.org> 4.0-0.b9.1
+ Revision: 631459
- rpm5 does not like source files named under spec
- silent expand
- 4.0 b9

* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 4.0-0.b8.1mdv2011.0
+ Revision: 628655
- 4.0 b8

* Wed Dec 08 2010 Thierry Vignaud <tv@mandriva.org> 4.0-0.b7.2mdv2011.0
+ Revision: 616330
- reeanble breton

* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 4.0-0.b7.1mdv2011.0
+ Revision: 595926
- 4.0 b7

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0-0.b6.1mdv2011.0
+ Revision: 579110
- update to new version 4.0b6

* Wed Sep 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0-0.b5.1mdv2011.0
+ Revision: 576816
- update to new version 4.0b5

* Wed Aug 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0-0.b4.1mdv2011.0
+ Revision: 573280
- update language pack to compare to firefox-4.0b4

* Tue Aug 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0-0.b3.2mdv2011.0
+ Revision: 572951
- fix mozillalibdir

* Mon Aug 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0-0.b3.1mdv2011.0
+ Revision: 572463
- update lang packs for firefox-4.0b3

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 3.6.8-1mdv2011.0
+ Revision: 558301
- New version 3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 3.6.6-1mdv2010.1
+ Revision: 549286
- Release 3.6.6

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6.4-1mdv2010.1
+ Revision: 549244
- sync with MDVSA-2010:125

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 3.6.3-1mdv2010.1
+ Revision: 531039
- New version 3.6.3

* Tue Mar 23 2010 Funda Wang <fwang@mandriva.org> 3.6.2-1mdv2010.1
+ Revision: 526814
- New version 3.6.2

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 3.6-3mdv2010.1
+ Revision: 494598
- New version 3.6 final

* Sun Jan 10 2010 Thomas Backlund <tmb@mandriva.org> 3.6-2.rc1.2mdv2010.1
+ Revision: 488216
- fix install path for translations (#56933)

* Sat Jan 09 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 3.6-2.rc1.1mdv2010.1
+ Revision: 488051
- update lang packs to match firefox-3.6rc1

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.6-2.b5.1mdv2010.1
+ Revision: 479954
- "fix" %%mkrel
- remove missing files
- update to firefox 3.6b5

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.6-1mdv2010.1
+ Revision: 479300
- update firefox language packs for 3.6

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 3.5.6-1mdv2010.1
+ Revision: 479149
- New version 3.5.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 3.5.5-1mdv2010.1
+ Revision: 460615
- New version 3.5.5

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 3.5.3-2mdv2010.0
+ Revision: 442853
- New version 3.5.3

* Wed Aug 19 2009 Funda Wang <fwang@mandriva.org> 3.5.2-2mdv2010.0
+ Revision: 418046
- rebuild due to missing packages

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - updated translations for firefox 3.5.2

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 3.0.13-1mdv2010.0
+ Revision: 409412
- new version

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 3.0.12-1mdv2010.0
+ Revision: 399399
- new version

* Mon Jul 20 2009 Raphaël Gertz <rapsys@mandriva.org> 3.0.11-2mdv2010.0
+ Revision: 398152
- rebuild
- Revert current to 3.0.11 version

* Sat Jul 18 2009 Raphaël Gertz <rapsys@mandriva.org> 3.5-2mdv2010.0
+ Revision: 397187
- Rebuild
- Update translation to 3.5 version

* Sat Jul 18 2009 Raphaël Gertz <rapsys@mandriva.org> 3.5-1mdv2010.0
+ Revision: 397177
- Rebuild for firefox 3.5

* Sat Jun 13 2009 Funda Wang <fwang@mandriva.org> 3.0.11-1mdv2010.0
+ Revision: 385667
- drop merged patch
- New version 3.0.11

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 3.0.10-1mdv2010.0
+ Revision: 369549
- 3.0.10
- prepare 3.0.9

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 3.0.8-1mdv2009.1
+ Revision: 361835
- new version 3.0.8

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0.7-1mdv2009.1
+ Revision: 354016
- 3.0.7

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 3.0.6-2mdv2009.1
+ Revision: 337859
- rebuild for old bug#14987

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 3.0.6-1mdv2009.1
+ Revision: 336978
- New version 3.0.6

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - automate subrel definition when building for older distros

* Thu Jan 08 2009 Pixel <pixel@mandriva.com> 3.0.5-1mdv2009.1
+ Revision: 327064
- get rid of with___LANG__ and disabled_langlist since langlist must not include
  disabled languages anyway. It allows some cleanup and so esperanto do not need
  to be disabled to workaround rpm limits
- fix counter trick for SourceXX

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.5

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - adding big banner to the spec, to prevent people from messing it up, same thing as firefox

* Fri Nov 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 3.0.4-3mdv2009.1
+ Revision: 302969
+ rebuild (emptylog)

* Fri Nov 14 2008 Gustavo De Nardin <gustavodn@mandriva.com> 3.0.4-2mdv2009.1
+ Revision: 302968
- don't build esperanto for now because the scheme using a template spec
  seems to hit an RPM processing limit on x86_64 due to so many packages ...

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.4

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 3.0.3-1mdv2009.0
+ Revision: 289172
- New version 3.0.3

* Wed Sep 24 2008 Funda Wang <fwang@mandriva.org> 3.0.2-1mdv2009.0
+ Revision: 287738
- New version 3.0.2

* Wed Sep 17 2008 Tiago Salem <salem@mandriva.com.br> 3.0.1-6mdv2009.0
+ Revision: 285513
- fix wrong estonian xpi name
- obsolete the old et_EE package
- bump release

* Tue Sep 16 2008 Tiago Salem <salem@mandriva.com.br> 3.0.1-5mdv2009.0
+ Revision: 285252
- add suggests in firefox-fi to firefox-ext-mozvoikko
- bump release

* Tue Aug 05 2008 Tiago Salem <salem@mandriva.com.br> 3.0.1-4mdv2009.0
+ Revision: 264055
- add estonian xpi.
- bump release

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 3.0.1-3mdv2009.0
+ Revision: 260103
- Do not provide mozilla-firefox-*, only obsolete them.
- bump release

* Wed Jul 30 2008 Tiago Salem <salem@mandriva.com.br> 3.0.1-2mdv2009.0
+ Revision: 256406
- fixing migration from ff2 to ff3.
- Obsoleting old l10n packages
- bump release

* Mon Jul 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.1-1mdv2009.0
+ Revision: 239567
- update all translations for firefox-3.0.1

* Wed Jun 18 2008 Funda Wang <fwang@mandriva.org> 3.0-1mdv2009.0
+ Revision: 224673
- prel=0
- 3.0 final

* Mon Jun 16 2008 Funda Wang <fwang@mandriva.org> 3.0-0.rc3.1mdv2009.0
+ Revision: 219359
- fix invalid sq file
- New version 3.0 rc2

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0-0.rc1.1mdv2009.0
+ Revision: 213120
- adapt mozilla-firefox-l10n spec file
- add translations for firefox-3.0
- Created package structure for firefox-l10n.

